"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Catalog = void 0;

var _utils = require("./utils");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class Catalog {
  constructor(catalog) {
    _defineProperty(this, "_catalog", void 0);

    _defineProperty(this, "getComponent", component => (0, _utils.get)(this._catalog, component));

    _defineProperty(this, "hasComponent", component => !!(0, _utils.get)(this._catalog, component));

    this._catalog = catalog;
  }

}

exports.Catalog = Catalog;
var _default = Catalog;
exports.default = _default;