"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Catalog = void 0;

var _utils = require("./utils");

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Catalog = function Catalog(catalog) {
  var _this = this;

  _classCallCheck(this, Catalog);

  _defineProperty(this, "_catalog", void 0);

  _defineProperty(this, "getComponent", function (component) {
    return (0, _utils.get)(_this._catalog, component);
  });

  _defineProperty(this, "hasComponent", function (component) {
    return !!(0, _utils.get)(_this._catalog, component);
  });

  this._catalog = catalog;
};

exports.Catalog = Catalog;
var _default = Catalog;
exports["default"] = _default;